{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('external_user/account_user/overview') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('external_user/account_user/overview') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        {% block mainHeaderTitle %}
        {% endblock %}
        <button class="mdc-button mdc-button--leading ms-auto align-self-center" data-coreui-toggle="collapse" data-coreui-target="#account_user_filter" aria-expanded="false" aria-controls="account_user_filter">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">filter_alt</i>
            <span class="mdc-button__label d-none d-md-block">Filter</span>
        </button>
        <button class="mdc-button mdc-button--leading ms-auto align-self-center" data-coreui-toggle="collapse" data-coreui-target="#account_user_search" aria-expanded="false" aria-controls="account_user_search">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">search</i>
            <span class="mdc-button__label d-none d-md-block">Suche</span>
        </button>
    </div>
    <div class="collapse bg-white" id="account_user_search">
        <div class="p-4">
            {{ form_start(accountUserSearchForm) }}
            <div class="row mb-4">
                <div class="col-md-9">
                    {% include 'component/mdc_search_field_component.html.twig' with {
                        'id': accountUserSearchForm.text.vars.id ~ '_mdc_text_field',
                        'labelId': accountUserSearchForm.text.vars.id ~ '_label',
                        'label': accountUserSearchForm.text.vars.label,
                        'type': 'text',
                        'name': accountUserSearchForm.text.vars.full_name,
                        'value': accountUserSearchForm.text.vars.value,
                        'disabled': accountUserSearchForm.text.vars.disabled,
                        'required': accountUserSearchForm.text.vars.required,
                        'suffix': null
                    } only %}
                </div>
                <div class="col-md-3 mt-2">
                    {{ form_widget(accountUserSearchForm.search, {'label': 'suchen', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
                </div>
            </div>
            {{ form_row(accountUserSearchForm._token) }}
            {{ form_end(accountUserSearchForm, {'render_rest': false}) }}
        </div>
    </div>
    <div class="collapse bg-white" id="account_user_filter">
        <div class="ps-4 pe-4 pt-1 pb-4">
            {{ form_start(accountUserFilterForm) }}
            <span class="ms-1">Klassifizierung</span>
            <div class="row mb-3">
                {% for personType in accountUserFilterForm.personTypes %}
                    <div class="col-lg-3">
                        {{ form_row(personType) }}
                    </div>
                {% endfor %}
            </div>
            <div class="pt-2">
                {{ form_widget(accountUserFilterForm.apply, {'label': 'übernehmen', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
                {{ form_widget(accountUserFilterForm.reset, { 'attr': {'class': 'mdc-button mdc-button--leading ps-3'}}) }}
            </div>
            {{ form_row(accountUserFilterForm._token) }}
            {{ form_end(accountUserFilterForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}

{% block main %}
    <div class="container-fluid mt-4">
        <div class="mdc-card mb-4">
            {% set actionChoices = [] %}

            {% if is_granted('ROLE_ACCOUNT_ADMIN') == true %}
                {% set actionChoices = actionChoices|merge([
                    {'label': 'Löschen', 'value': path('external_user_account_user_mass_operation_delete', {'accountUserTypeName': accountUserTypeName})},
                ]) %}
            {% endif %}

            {% include 'external_user/component/account_user/account_user_list_component.html.twig' with {
                'idPrefix': 'account_user_',
                'listItems': accountUsers,
                'showActionButton': (is_granted('ROLE_ACCOUNT_ADMIN') or is_granted('ROLE_VIEWER')),
                'massOperation': is_granted('ROLE_ACCOUNT_ADMIN'),
                'pagination': true,
                'sortable': true,
                'actionChoices': actionChoices
            } only %}
        </div>
    </div>
{% endblock %}
